<?php require_once( "cmsdesigner/include/view.php.inc" ); // encoding="euc-jp" ?>
<cmsd:output encoding="utf-8" meta-tag-replacement="True" xslt-libno="0" disable-xslt-encoding="False" />
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
	<meta http-equiv="content-type" content="text/html; charset=euc-jp"/>
	<title>CMS Designerץ: Google Mapsǡɽ</title>
	<style tyhpe="text/css">
	<!--
		form {
			padding : 0px;
			margin :0px;
		}
		
		body {
			margin :0px;
			padding :0px;
			
		}
		
		h1 {
			background-color : #334488;
			border-left : 0.5em solid #8899dd;
			padding : 0.3em;
			padding-left : 0.5em;
			font-weight : bold;
			font-family : 'Century Gothic';
			color : #ddeeff;
			margin : 0;
		}		 
		#panelRoot {
			margin-left : 20px;
			margin-right : 20px;
			padding-top : 20px;
			width : 750px;
		}
		
		#panelMap {
			float : left;
			border-left : 1px solid #eeeeee;
			border-top : 1px solid #ddddff;
			border-right : 1px solid #888888;
			border-bottom : 1px solid #888888;
			background-color : #dddddd;
			padding : 24px;
		}
		
		#map {
			width: 500px; height: 500px;
		}
		
		#msg {
			padding:0.2em;
			background-color:#f0f0ff;
			color=red;
		}
		
		#results {
			font-size : 8pt;
			color : #3355ff;
			background-color : #ddeeff;
			padding : 0.5em;
		}
		
		#panelButtons {
			text-align : center;
			padding-top : 10px;
		}
		
		#panelButtons input {
			font-weight : bold;
			margin-left : 10px;
			padding : 0.5em 2em 0.5em 2em;
			background-color : #aabbcc
		}
		
		div.marker_data_html {
			width: 280px;
			margin-top:8px;
		}
		div.marker_data_html h2 {
			font-size : 12pt;
			text-align:left;
			padding:4px;
			font-weight:bold;
			font-family:sans-serif;
			margin-bottom:4px;
		}
		div.marker_data_html p{
			width: 256px;
			height: 80px;
			overflow: auto;
			border-top: 1px dashed black;
			margin-top: 8px;
			padding:	4px;
			font-size : 10pt;
		}
		div.poweredby{
			margin: auto;
			height:50px;
			border-top: 1px gray dashed;
			text-align: right;
			font-size:	9px;
		}
		
		div#markerlist {
			float : left;
			width : 200px;
			height : 550px;
			overflow : auto;
			line-height : 150%;
			font-size : 11pt;
		}
		
		div#markerlist ul {
			margin-top : 0;
			padding-left : 2em;
			padding-top : 0.5em;
			padding-bottom : 0.5em;
			padding-right : 0.5em;
			border-top : 2px solid #dddddd;
			border-left : 2px solid #dddddd;
			border-bottom : 2px solid #dddddd;
			background-color : #f0f0f0;
		}
		
	-->
	</style>
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?v=3&sensor=false"></script>
	<script type="text/javascript">
	
	// CMSDΥǡǼѿ
	var cmsdVars = {};
	cmsdVars.mapdata = {};	// Ͽ޾
	cmsdVars.d = function(id){return cmsdVars.d[id]||(cmsdVars.d[id]=(document.getElementById(id)||id))};	// getElementByIdѥ桼ƥƥ
	var theInfoWindow = null;	// ߳Ƥ󥦥ɥ򼨤ݥ󥿡¾ξ󥦥ɥ򳫤ݤ˰ΤĤ١
	
	function load() 
	{
		
		// Map
		var myOptions = {
			zoom: 15,
			center: new google.maps.LatLng( 35.681391, 139.766103 ),	// ɽ
			mapTypeId: google.maps.MapTypeId.ROADMAP,
			navigationControl : true,
			navigationControlOptions: { "style" : google.maps.NavigationControlStyle.SMALL },
			scaleControl : false,
			streeViewCtonrol: false
		}
		var map = new google.maps.Map( cmsdVars.d( "map" ), myOptions );
		
		// ƥȥΥޡ
		for ( var index in cmsdVars.mapdata )
		{
			makeMarker( map, cmsdVars.mapdata[index] );
		}
	}
	
	// ޡϿޤɽ
	function makeMarker( map, mapdata )
	{
		// ޡ֤LatLng
		var latlng = new google.maps.LatLng( mapdata.lat, mapdata.lng );
		
		// ޡȾ󥦥ɥ
		var title = cmsdVars.d( 'title' + mapdata.eid ).innerHTML;
		var body = cmsdVars.d( 'description' + mapdata.eid ).innerHTML;
		var marker = new google.maps.Marker( { position: latlng, map: map, title: title });
		var infowindow = new google.maps.InfoWindow({
			content: '<div class="marker_data_html"><h2>' + title + '</h2><p>' + body + '</p></div>'
		});
		
		var openInfoWindow = function(){
			// ߳Ƥ󥦥ɥĤ鳫󥦥ɥѿ˥åȤ롣
			if ( theInfoWindow ) theInfoWindow.close();
			theInfoWindow = infowindow;
			
			// 󥦥ɥ򳫤
			infowindow.open( map, marker );
		};
		
		// ޡåưʾ󥦥ɥ򳫤
		google.maps.event.addListener( marker, "click", function(){
			// 󥦥ɥ򳫤
			openInfoWindow();
		});		
		
		// ȥ긫Фclickư
		cmsdVars.d( "title" + mapdata.eid ).onclick = function(){
			// ޡ᤹
			map.setCenter( latlng );
			map.setZoom( mapdata.zoom );
			
			// 󥦥ɥ򳫤
			openInfoWindow();
			return false;
		}
		
	}
	</script>
</head>
<body onload="load()" onunload="GUnload()">
<div id="panelRoot">

<h1>"maplog" design sample 2</h1>

<div id="markerlist">
<cmsd:entrylist name="gmap1" design="allmap" />
</div>
<div id="panelMap">
<div id="map"></div>
</div>

</div>
<br clear="all" />
<a href="maplog_list.php">MapList</a>
</body>
</html>
<?php cmsd_end_template(); ?>